#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) 2011, 2014 by Björn Ricks <bjoern.ricks@intevation.de>
#
# A python worklog-alike to log what you have 'getan' (done).
#
# This is Free Software licensed under the terms of GPLv3 or later.
# For details see LICENSE coming with the source of 'getan'.
#

import glob
import os.path

from setuptools import setup, find_packages

import getan

cur_dir = os.path.dirname(__file__)
scripts_dir = os.path.join(cur_dir, "scripts")


def read(fname):
    with open(os.path.join(cur_dir, fname)) as f:
        return f.read()

setup(name="getan",
      version=getan.__version__,
      description="getan - A worklog like tool",
      url="https://scm.wald.intevation.org/hg/getan/",
      license="GPLv3+",
      long_description=read("README"),
      packages=find_packages(),
      package_data={
          "": ["*.txt"],
      },
      scripts=glob.glob(os.path.join(scripts_dir, "*.py")) +
      [os.path.join(scripts_dir, "wochenbericht"),
       os.path.join(scripts_dir, "convert-projects")],
      entry_points={"console_scripts":
                    ["getan=getan.main:main",
                     "getan-classic=getan.classic.getan:main",
                     ]},
      classifiers=[
          "Topic :: Utilities",
          "Environment :: Console",
          "Intended Audience :: Developers",
          "Intended Audience :: End Users/Desktop",
          "License :: OSI Approved :: GNU General Public License (GPL)",
          "Operating System :: POSIX",
          "Programming Language :: Python",
      ],
      )
